declare const reducers: import("redux").Reducer<import("redux").CombinedState<{
    component: {
        components: import("../../../../typings").Component[];
    };
    header: {
        fileDetail: import("../../../../typings").File;
        pageList: import("../../../../typings").CatalogFileEntity[];
        folderId: string;
        fileId: string;
        applicationId: string;
        contentId: string;
        fileType: string;
        loading: boolean;
        locale: string;
        project: string;
        storeModalTemplates: any[];
        storeModalTemplatesBackup: any[];
        storeModalPageInfo: import("../../../../typings").PaginationInfo;
        storeLoading: boolean;
        storeModalType: string;
        storeModalVisible: boolean;
        dslLoading: boolean;
        dsl: import("../../../../typings").PageContent;
        dslModalVisible: boolean;
        mockLoading: boolean;
        mockModalVisible: boolean;
        mockId: string;
        backState: import("../../../../typings").HistoryState | undefined;
    };
    main: {
        templateOpenInPage: boolean;
        file: import("../../../../typings").File;
        content: import("../../../../typings").Content;
        mock: import("../../../../typings").Mock;
        relations: import("../../../../typings").RelationDetails;
        formattedData: import("../../../../typings").FormattedData;
        pageContent: import("../../../../typings").PageContent;
        pageNode: import("../../../../typings").StructureNode<Record<string, any>> | null;
        extend: import("../../../../typings").PageContent;
        selectedNode: import("../../../../typings").RenderStructureNode | null;
        curStep: number;
        stepCount: number;
        localVariables: import("../../../../typings").VariableEntity[];
        editStatus: boolean;
        toolbarEditorData: any;
        toolbarEditorType: string;
        toolbarEditorVisible: boolean;
        toolbarModalData: any;
        toolbarModalType: string;
        toolbarModalVisible: boolean;
        loading: boolean;
        saveLoading: boolean;
        publishLoading: boolean;
        application: import("../../../../typings").Application | null;
    };
}>, import("typesafe-actions").PayloadAction<"BUILDER_COMPONENT_LIST__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"BUILDER_COMPONENT_LIST__UPDATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"BUILDER_COMPONENT_LIST__FETCH_COMPONENT_LIST", {
    applicationId: string;
}> | import("typesafe-actions").PayloadAction<"BUILDER_COMPONENT_LIST__PUSH_COMPONENT_LIST", {
    data: import("../../../../typings").Component[];
}> | import("typesafe-actions").PayloadAction<"BUILDER_HEADER__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"BUILDER_HEADER__UPDATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"BUILDER_HEADER__UPDATE_LOCALE", {
    locale: string;
}> | import("typesafe-actions").PayloadAction<"BUILDER_HEADER__FETCH_CATALOG", {
    deleted?: boolean | undefined;
    folderId?: string | undefined;
    type?: string | undefined;
    id?: string | undefined;
    applicationId?: string | undefined;
    page?: number | undefined;
    size?: number | undefined;
    search?: string | undefined;
}> | import("typesafe-actions").PayloadAction<"BUILDER_HEADER__PUSH_CATALOG", {
    data: import("../../../../typings").CatalogFetchResponse;
}> | import("typesafe-actions").PayloadAction<"BUILDER_HEADER__UPDATE_FILE_FOLD", {
    id: string;
    fold: any;
}> | import("typesafe-actions").PayloadAction<"BUILDER_HEADER__SELECT_CONTENT", {
    applicationId?: string | undefined;
    contentId?: string | undefined;
    fileId?: string | undefined;
    fileType?: string | undefined;
    folderId?: string | undefined;
    locale?: string | undefined;
}> | import("typesafe-actions").PayloadAction<"BUILDER_HEADER__UPDATE_CONTENT_INFO", {
    applicationId?: string | undefined;
    contentId?: string | undefined;
    fileId?: string | undefined;
    fileType?: string | undefined;
    folderId?: string | undefined;
    locale?: string | undefined;
}> | import("typesafe-actions").PayloadAction<"BUILDER_HEADER__UPDATE_STORE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"BUILDER_HEADER__UPDATE_PAGE_COPY_MODAL_VISIBLE", {
    open: boolean;
    type: string | undefined;
}> | import("typesafe-actions").PayloadAction<"BUILDER_HEADER__FETCH_PAGE_TEMPLATE", {
    params: import("../../../../typings").PageTemplateFetchParams;
}> | import("typesafe-actions").PayloadAction<"BUILDER_HEADER__PUSH_PAGE_TEMPLATE", {
    list: any[];
    pageInfo: import("../../../../typings").PaginationInfo;
}> | import("typesafe-actions").PayloadAction<"BUILDER_HEADER__UPDATE_DSL_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"BUILDER_HEADER__FETCH_DSL", any> | import("typesafe-actions").PayloadAction<"BUILDER_HEADER__PUSH_DSL", {
    dsl: import("../../../../typings").PageContent;
}> | import("typesafe-actions").PayloadAction<"BUILDER_HEADER__UPDATE_DSL_MODAL_VISIBLE", {
    open: boolean;
}> | import("typesafe-actions").PayloadAction<"BUILDER_HEADER__UPDATE_MOCK_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"BUILDER_HEADER__UPDATE_MOCK_MODAL_VISIBLE", {
    open: boolean;
}> | import("typesafe-actions").PayloadAction<"BUILDER_HEADER__UPDATE_MOCK_ID", {
    id: string;
}> | import("typesafe-actions").PayloadAction<"BUILDER_HEADER__SAVE_MOCK", {
    params: import("../../../../typings").MockNewParams;
    cb: ((versionId?: string | undefined) => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"BUILDER_HEADER__PUBLISH_MOCK", {
    params: import("../../../../typings").MockPublishParams;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"BUILDER_HEADER__UPDATE_BACK_STATE", {
    state: import("../../../../typings").HistoryState | undefined;
}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__CLEAR_ALL", {}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__UPDATE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__UPDATE_SAVE_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"BUILDER_PAGE__SAVE_PAGE", {}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__UPDATE_TOOLBAR_EDITOR_VISIBLE", {
    open: boolean;
    type: string | undefined;
    data: any;
}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__UPDATE_TOOLBAR_MODAL_VISIBLE", {
    open: boolean;
    type: string | undefined;
    data: any;
}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__CLEAR_BY_CONTENT_CHANGE", {}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__UPDATE_PUBLISH_LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__UPDATE_EDIT_STATUS", {
    state: boolean;
}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__FETCH_APP", {
    id: string;
}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__PUSH_APP", {
    data: import("../../../../typings").Application | undefined;
}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__FETCH_CONTENT", {
    applicationId: string;
    id: string;
    type?: import("../../../../typings").FileType | undefined;
}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__PUSH_CONTENT", {
    data: import("../../../../typings").PageContent | undefined;
}> | import("typesafe-actions").PayloadAction<"BUILDER_PAGE__UPDATE_CONTENT", {
    data: import("../../../../typings").PageContent;
}> | import("typesafe-actions").PayloadAction<"BUILDER_PAGE__UPDATE_PAGE_NODE", {
    data: import("../../../../typings").StructureNode<Record<string, any>>;
}> | import("typesafe-actions").PayloadAction<"BUILDER_PAGE__PUSH_PAGE_NODE", {
    data: import("../../../../typings").StructureNode<Record<string, any>> | null;
}> | import("typesafe-actions").PayloadAction<"BUILDER_PAGE__CLONE_PAGE", {
    contentId: string;
}> | import("typesafe-actions").PayloadAction<"BUILDER_PAGE__PUBLISH_PAGE", {}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__PUSH_FORMAT_DATA", {
    data: import("../../../../typings").FormattedData;
}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__FETCH_LIVE_CONTENT", {
    params: import("../../../../typings").ContentFetchParams;
}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__PUSH_LIVE_CONTENT", {
    data: import("../../../../typings").PageContent | undefined;
}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__FETCH_FILE", {
    ids: string[];
    applicationId: string;
}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__PUSH_FILE", {
    data: import("../../../../typings").File[] | undefined;
}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__SELECT_COMPONENT", {
    params: import("../../../../typings").RenderStructureNode | null;
}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__SET_STEP", {
    step: number;
}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__GET_STEPS", {}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__SET_STEPS", {
    step: number;
}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__PRE_STEP", {}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__NEXT_STEP", {}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__DO_STEP", {
    params: import("../../../../typings").PageContent;
}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__PUSH_STEP", {
    params: import("../../../../typings").PageContent;
}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__VALIDATE", {}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__PUSH_LOCAL_VARIABLES", {
    variables: import("../../../../typings").VariableEntity[];
}> | import("typesafe-actions").PayloadAction<"BUILDER_MAIN__TEMPLATE_OPEN_IN_PAGE", {
    status: boolean;
}>>;
export default reducers;
